#ifndef BARNES_HUT_TREE_HPP
#define BARNES_HUT_TREE_HPP

#include "Tree.hpp"

namespace nbody {
	class BarnesHutTree : public Tree {
	protected:
		virtual vector<Box> splitBB(TreeNode* node);
	public:
		BarnesHutTree();
		virtual ~BarnesHutTree();
		virtual void build(vector<Body> bodies);

	};
}

#endif
